%undefine __cmake_in_source_build

Name:    okteta
Summary: Binary/hex editor
Version: 0.26.4
Release:    1%{?dist}

License: GPLv2+ and GFDL
URL:     https://cgit.kde.org/%{name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/okteta/%{version}/src/%{name}-%{version}.tar.xz
Patch0: okteta-gcc11.patch

BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib
BuildRequires: gettext

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: kf5-kcrash-devel
BuildRequires: kf5-kbookmarks-devel
BuildRequires: kf5-kcodecs-devel
BuildRequires: kf5-kcompletion-devel
BuildRequires: kf5-kconfigwidgets-devel
BuildRequires: kf5-kdbusaddons-devel
BuildRequires: kf5-kdoctools-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kiconthemes-devel
BuildRequires: kf5-kcmutils-devel
BuildRequires: kf5-kio-devel
BuildRequires: kf5-knewstuff-devel
BuildRequires: kf5-kparts-devel
BuildRequires: kf5-kservice-devel
BuildRequires: kf5-kwidgetsaddons-devel
BuildRequires: kf5-kxmlgui-devel

BuildRequires: pkgconfig(qca2-qt5)
BuildRequires: pkgconfig(Qt5Designer)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5ScriptTools)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
Conflicts: kde-l10n < 17.03
Conflicts:      kdesdk-common < 4.10.80
Provides:       kdesdk-okteta = %{version}-%{release}
Requires:       %{name}-libs = %{version}-%{release}
Recommends: castxml libxslt

%description
Okteta is a binary/hex editor for KDE

%package libs
Summary: Runtime libraries and kpart plugins for %{name}
Provides:  kdesdk-okteta-libs = %{version}-%{release}
Provides:  okteta5-part = %{version}-%{release}
Provides:  okteta5-part = %{version}-%{release}
%description libs
%{summary}.

%package devel
Summary: Developer files for %{name}
Provides:  kdesdk-okteta-devel = %{version}-%{release}
Provides:  okteta5-devel = %{version}-%{release}
Requires:  %{name}-libs = %{version}-%{release}
%description devel
%{summary}.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.okteta.appdata.xml ||:
desktop-file-validate %{buildroot}%{_datadir}/applications/org.kde.okteta.desktop


%files -f %{name}.lang
%doc README
%license COPYING*
%{_bindir}/okteta
%{_bindir}/struct2osd
%{_datadir}/mime/packages/okteta.xml
%{_kf5_metainfodir}/org.kde.okteta.appdata.xml
%{_kf5_datadir}/knsrcfiles/okteta-structures.knsrc
%{_datadir}/applications/org.kde.okteta.desktop
%{_datadir}/icons/hicolor/*/apps/okteta.*


%files libs
%dir %{_datadir}/okteta/
%{_datadir}/okteta/structures/
%{_datadir}/config.kcfg/structureviewpreferences.kcfg
%{_libdir}/libKasten4*.so.*
%{_libdir}/libOkteta3*.so.*
%{_qt5_plugindir}/designer/oktetawidgets.so
%{_kf5_plugindir}/parts/oktetapart.so
%{_kf5_datadir}/kservices5/oktetapart.desktop

%files devel
%{_includedir}/Okteta*/
%{_includedir}/Kasten*/
%{_libdir}/libKasten4*.so
%{_libdir}/libOkteta3*.so
%{_libdir}/cmake/KastenControllers/
%{_libdir}/cmake/KastenCore/
%{_libdir}/cmake/KastenGui/
%{_libdir}/cmake/OktetaCore/
%{_libdir}/cmake/OktetaGui/
%{_libdir}/cmake/OktetaKastenControllers/
%{_libdir}/cmake/OktetaKastenCore/
%{_libdir}/cmake/OktetaKastenGui/
%{_libdir}/pkgconfig/Okteta*.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_Okteta*.pri


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.26.4-1
- initial build
